Bug 1668807 (CVE-2018-11803) - CVE-2018-11803 subversion: malicious SVN clients can crash mod_dav_svn
Summary: CVE-2018-11803 subversion: malicious SVN clients can crash mod_dav_svn
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-11803
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1671271 1671275
Blocks: 1668809
TreeView+ depends on / blocked
 
Reported: 2019-01-23 15:49 UTC by Laura Pardo
Modified: 2021-02-16 22:29 UTC (History)
1 user (show)

Fixed In Version: subversion 1.10.4, subversion 1.11.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:46:20 UTC


Attachments (Terms of Use)

Description Laura Pardo 2019-01-23 15:49:45 UTC
Subversion 1.10.0 introduced server-side support for recursive directory listing operations. The implementation in mod_dav_svn failed to validate the root path of the directory listing provided by the client. If the client omits the root path, mod_dav_svn will deference an uninitialized pointer variable and crash the HTTPD worker process handling the request.


References:
https://subversion.apache.org/security/CVE-2018-11803-advisory.txt

Comment 2 Stefan Cornelius 2019-01-31 09:42:51 UTC
Created subversion tracking bugs for this issue:

Affects: fedora-all [bug 1671271]

Comment 5 Borja Tarraso 2019-03-01 14:06:04 UTC
Statement:

This issue did not affect the versions of subversion as shipped with Red Hat Enterprise Linux 5, 6, and 7.

This issue does not affect any Ansible Tower supported versions: 3.2, 3.3 or 3.4, as their system jobs don't use mod_dav_svn module.


Note You need to log in before you can comment on or make changes to this bug.